com.sun.jna.platform.win32

## Class DsGetDC.PDOMAIN_CONTROLLER_INFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.DsGetDC.PDOMAIN_CONTROLLER_INFO

Direct Known Subclasses:
  DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference

Enclosing interface:
  DsGetDC

    @Structure.FieldOrder(value="dci")
    public static class DsGetDC.PDOMAIN_CONTROLLER_INFO
    extends Structure

Pointer to DOMAIN_CONTROLLER_INFO.

### Nested Class Summary

Nested Classes
`static class` `DsGetDC.PDOMAIN_CONTROLLER_INFO.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`DsGetDC.DOMAIN_CONTROLLER_INFO.ByReference` `dci`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`PDOMAIN_CONTROLLER_INFO()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dci

    public DsGetDC.DOMAIN_CONTROLLER_INFO.ByReference dci

### Constructor Detail

#### PDOMAIN_CONTROLLER_INFO

    public PDOMAIN_CONTROLLER_INFO()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.